Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.sequencer
Interface SequencerOutput

All Known Implementing Classes:
  SequencerOutputMap

    public interface SequencerOutput

Interface for sequencers to use to generate their output.

Method Summary
`void` | `setProperty(Path nodePath, Name propertyName, Object... values)` Set the supplied property on the supplied node.
`void` | `setProperty(String nodePath, String propertyName, Object... values)` Deprecated. As of ModeShape 2.0, the preferred approach is to use `setProperty(Path, Name, Object...)`, which properly addresses the session having different namespace mappings. This method depends on the namespace mappings for the given URIs in the name components of the nodePath and propertyName to be mapped in the NamespaceRegistry of the ModeShapeEngine's (or JcrEngine's) ExecutionContext.
`void` | `setReference(String nodePath, String propertyName, String... paths)` Deprecated. As of ModeShape 2.0, the preferred approach is to use `setProperty(Path, Name, Object...)`, which properly addresses the session having different namespace mappings. This method depends on the namespace mappings for the given URIs in the name components of the nodePath and propertyName to be mapped in the NamespaceRegistry of the ModeShapeEngine's (or JcrEngine's) ExecutionContext.

Method Detail

### setProperty

    @Deprecated
    void setProperty(String nodePath,
                                String propertyName,
                                Object... values)

  Deprecated. As of ModeShape 2.0, the preferred approach is to use `setProperty(Path, Name, Object...)`, which properly addresses the session having different namespace mappings. This method depends on the namespace mappings for the given URIs in the name components of the nodePath and propertyName to be mapped in the NamespaceRegistry of the ModeShapeEngine's (or JcrEngine's) ExecutionContext.

  Set the supplied property on the supplied node.

  The `value factories` should be used to create paths, names, and values. These factories can be used to create new values or convert values from one property type to another. (Note that each of the factories have methods that create values from all of the property types.)

  This method is provided as a convenience, but it identical to creating a `Path` and `Name` using the `factories` and calling `setProperty(Path, Name, Object...)`.

  Parameters:
    `nodePath` - the path to the node containing the property; may not be null
    `propertyName` - the name of the property to be set
    `values` - the value(s) for the property; may be empty if any existing property is to be removed

### setReference

    @Deprecated
    void setReference(String nodePath,
                                 String propertyName,
                                 String... paths)

  Deprecated. As of ModeShape 2.0, the preferred approach is to use `setProperty(Path, Name, Object...)`, which properly addresses the session having different namespace mappings. This method depends on the namespace mappings for the given URIs in the name components of the nodePath and propertyName to be mapped in the NamespaceRegistry of the ModeShapeEngine's (or JcrEngine's) ExecutionContext.

  Set the supplied reference on the supplied node.

  This method is provided as a convenience, but it identical to creating a `Path` and `Name` using the `factories` and calling `setProperty(Path, Name, Object...)`.

  Parameters:
    `nodePath` - the path to the node containing the property; may not be null
    `propertyName` - the name of the property to be set
    `paths` - the paths to the referenced property, which may be absolute paths or relative to the sequencer output node; may be empty if any existing property is to be removed

### setProperty

    void setProperty(Path nodePath,
                     Name propertyName,
                     Object... values)

  Set the supplied property on the supplied node.

  The `value factories` should be used to create paths, names, and values. These factories can be used to create new values or convert values from one property type to another. (Note that each of the factories have methods that create values from all of the property types.)

  Parameters:
    `nodePath` - the path to the node containing the property; may not be null
    `propertyName` - the name of the property to be set
    `values` - the value(s) for the property; may be empty if any existing property is to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.